## IAnjutaEditorHover IAnjutaEditorHover — Text editor hover interface |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/interfaces/ianjuta-editor-hover>

    #define             IANJUTA_EDITOR_HOVER_ERROR
                        IAnjutaEditorHover;
                        IAnjutaEditorHoverIface;
    GQuark              ianjuta_editor_hover_error_quark    (void);
    void                ianjuta_editor_hover_display        (IAnjutaEditorHover *obj,
                                                             const gchar *info,
                                                             GError **err);
    void                ianjuta_editor_hover_set_timeout    (IAnjutaEditorHover *obj,
                                                             gint timeout,
                                                             GError **err);

## Object Hierarchy

      GInterface
       +----IAnjutaEditorHover

## Prerequisites

IAnjutaEditorHover requires IAnjutaEditor and GObject.

## Signals

      "hover-leave"                                    : Run Last
      "hover-over"                                     : Run Last

## Description

## Details

### IANJUTA_EDITOR_HOVER_ERROR

    #define IANJUTA_EDITOR_HOVER_ERROR ianjuta_editor_hover_error_quark()

### IAnjutaEditorHover

    typedef struct _IAnjutaEditorHover IAnjutaEditorHover;

### IAnjutaEditorHoverIface

    typedef struct {
    	IAnjutaEditorIface g_iface;

    	/* Signal */
    	void (*hover_leave) (IAnjutaEditorHover *obj, gint position);
    	/* Signal */
    	void (*hover_over) (IAnjutaEditorHover *obj, gint position);

    	void (*display) (IAnjutaEditorHover *obj, const gchar *info, GError **err);
    	void (*set_timeout) (IAnjutaEditorHover *obj, gint timeout, GError **err);
    } IAnjutaEditorHoverIface;

### ianjuta_editor_hover_error_quark ()

    GQuark              ianjuta_editor_hover_error_quark    (void);

Returns : |

### ianjuta_editor_hover_display ()

    void                ianjuta_editor_hover_display        (IAnjutaEditorHover *obj,
                                                             const gchar *info,
                                                             GError **err);

`obj` : |
`info` : |
`err` : |

### ianjuta_editor_hover_set_timeout ()

    void                ianjuta_editor_hover_set_timeout    (IAnjutaEditorHover *obj,
                                                             gint timeout,
                                                             GError **err);

`obj` : |
`timeout` : |
`err` : |

## Signal Details

### The "hover-leave" signal

    void                user_function                      (IAnjutaEditorHover *ianjutaeditorhover,
                                                            gint                arg1,
                                                            gpointer            user_data)               : Run Last

`ianjutaeditorhover` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The "hover-over" signal

    void                user_function                      (IAnjutaEditorHover *ianjutaeditorhover,
                                                            gint                arg1,
                                                            gpointer            user_data)               : Run Last

`ianjutaeditorhover` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.